IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
Ioss::Sym_Tensor_31 Class Reference

`#include <Ioss_ConcreteVariableType.h>`

Inheritance diagram for Ioss::Sym_Tensor_31:
[legend]
Collaboration diagram for Ioss::Sym_Tensor_31:
[legend]

## Public Member Functions
std::string | label (int which, const char suffix_sep='_') const override
Public Member Functions inherited from Ioss::VariableType
virtual | ~VariableType ()
int | component_count () const
virtual int | suffix_count () const
std::string | name () const
virtual std::string | label_name (const std::string &base, int which, char suffix_sep='_') const
virtual bool | match (const std::vector< Suffix > &suffices) const

## Static Public Member Functions
static void | factory ()
Static Public Member Functions inherited from Ioss::VariableType
static void | alias (const std::string &base, const std::string &syn)
static int | describe (NameList *names)
| Get the names of variable types known to IOSS. More...
static bool | create_named_suffix_field_type (const std::string &type_name, const std::vector< std::string > &suffices)
static bool | get_field_type_mapping (const std::string &field, std::string *type)
static bool | add_field_type_mapping (const std::string &raw_field, const std::string &raw_type)
static std::string | numeric_label (int which, int ncomp, const std::string &name)
static const VariableType * | factory (const std::string &raw_name, int copies=1)
static const VariableType * | factory (const std::vector< Suffix > &suffices)

## Protected Member Functions
| Sym_Tensor_31 ()
Protected Member Functions inherited from Ioss::VariableType
| VariableType (const std::string &type, int comp_count, bool delete_me=false)

## Private Member Functions
| Sym_Tensor_31 (const Sym_Tensor_31 &)

## Additional Inherited Members
Static Protected Member Functions inherited from Ioss::VariableType
static Registry & | registry ()

## Constructor & Destructor Documentation

## ◆ Sym_Tensor_31() [1/2]

Ioss::Sym_Tensor_31::Sym_Tensor_31 | ( |  | ) |
| protected

## ◆ Sym_Tensor_31() [2/2]

Ioss::Sym_Tensor_31::Sym_Tensor_31 | ( | const Sym_Tensor_31 & |  | ) |
| private

## Member Function Documentation

## ◆ factory()

void Ioss::Sym_Tensor_31::factory | ( |  | ) |
| static

## ◆ label()

std::string Ioss::Sym_Tensor_31::label | ( | int | which,
|  | const char | suffix_sep = `'_'`
| ) |  | const
| override virtual

Implements Ioss::VariableType.

The documentation for this class was generated from the following files:

- src/Ioss_ConcreteVariableType.h
- src/Ioss_ConcreteVariableType.C